---
title: Node.ownerDocument
slug: Web/API/Node/ownerDocument
tags:
  - API
  - DOM
  - Node
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>ownerDocument</strong></code> read-only property of the {{domxref("Node")}} interface returns the top-level document object of the node.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>document</em> = <var>element</var>.ownerDocument;
</pre>

<h3 id="Value">Value</h3>

<p><code>document</code> is the top-level {{domxref("Document")}} object in which all the child nodes are created. If this property is used on a node that is itself a document, the value is <code>null</code>.</p>

<h2 id="Example">Example</h2>

<pre class="brush:js">// Given a node "p", get the top-level HTML
// child of the document object

var d = p.ownerDocument;
var html = d.documentElement;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-node-ownerdocument', 'Node: ownerDocument')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Node.ownerDocument")}}</p>
